<?php
namespace Zeedhi\DevOps\Model\Projectmanagement\Entities\Base;


abstract class Meeting {
    
    
    /** @var string  */
    protected $allowScheduleFilter = 'N';
    /** @var int  */
    protected $id;
    /** @var \Datetime  */
    protected $taskDateStart;
    /** @var \Datetime  */
    protected $taskDateEnd;
    /** @var string  */
    protected $isActive = 'Y';
    /** @var \Datetime  */
    protected $created;
    /** @var \Datetime  */
    protected $updated;
    /** @var \Datetime  */
    protected $issueDateStart;
    /** @var \Datetime  */
    protected $issueDateEnd;
    /** @var \Zeedhi\DevOps\Model\Projectmanagement\Entities\Project  */
    protected $project;
    /** @var \Zeedhi\DevOps\Model\Projectmanagement\Entities\Organization  */
    protected $organization;
    /** @var \Zeedhi\DevOps\Model\Profile\Entities\ZhUser  */
    protected $createdBy;
    /** @var \Zeedhi\DevOps\Model\Profile\Entities\ZhUser  */
    protected $updatedBy;

    public function getAllowScheduleFilter() {
        return $this->allowScheduleFilter;
    }
	public function setAllowScheduleFilter($allowScheduleFilter) {
        $this->allowScheduleFilter = $allowScheduleFilter;
    }
	public function getId() {
        return $this->id;
    }
	public function setId($id) {
        $this->id = $id;
    }
	public function getTaskDateStart() {
        return $this->taskDateStart;
    }
	public function setTaskDateStart(\Datetime $taskDateStart = NULL) {
        $this->taskDateStart = $taskDateStart;
    }
	public function getTaskDateEnd() {
        return $this->taskDateEnd;
    }
	public function setTaskDateEnd(\Datetime $taskDateEnd = NULL) {
        $this->taskDateEnd = $taskDateEnd;
    }
	public function getIsActive() {
        return $this->isActive;
    }
	public function setIsActive($isActive) {
        $this->isActive = $isActive;
    }
	public function getCreated() {
        return $this->created;
    }
	public function setCreated(\Datetime $created) {
        $this->created = $created;
    }
	public function getUpdated() {
        return $this->updated;
    }
	public function setUpdated(\Datetime $updated) {
        $this->updated = $updated;
    }
	public function getIssueDateStart() {
        return $this->issueDateStart;
    }
	public function setIssueDateStart(\Datetime $issueDateStart = NULL) {
        $this->issueDateStart = $issueDateStart;
    }
	public function getIssueDateEnd() {
        return $this->issueDateEnd;
    }
	public function setIssueDateEnd(\Datetime $issueDateEnd = NULL) {
        $this->issueDateEnd = $issueDateEnd;
    }
	public function __construct() {
        $this->created = new \DateTime();
		$this->updated = new \DateTime();
    }
	public function getProject() {
        return $this->project;
    }
	public function setProject(\Zeedhi\DevOps\Model\Projectmanagement\Entities\Project $project) {
        $this->project = $project;
    }
	public function getOrganization() {
        return $this->organization;
    }
	public function setOrganization(\Zeedhi\DevOps\Model\Projectmanagement\Entities\Organization $organization) {
        $this->organization = $organization;
    }
	public function getCreatedBy() {
        return $this->createdBy;
    }
	public function setCreatedBy(\Zeedhi\DevOps\Model\Profile\Entities\ZhUser $createdBy) {
        $this->createdBy = $createdBy;
    }
	public function getUpdatedBy() {
        return $this->updatedBy;
    }
	public function setUpdatedBy(\Zeedhi\DevOps\Model\Profile\Entities\ZhUser $updatedBy) {
        $this->updatedBy = $updatedBy;
    }
}